import java.util.Iterator;

class NumberReader implements Iterable {
	private String filename;
	public NumberReader(String filename) {
		this.filename = filename;
	}
	public Iterator iterator() {
		return new NumberIterator(filename);
	}
	class NumberIterator implements Iterator {
		NumberIterator(String filename) {
			In.open(filename);
		}
		public void remove() {
			throw new UnsupportedOperationException();
		}
		public boolean hasNext() {
			In.peek();
			return In.done();
		}
		public Object next() {
			return In.readInt();
		}
	}
	public static void main(String[] args) {
		NumberReader reader = new NumberReader("numbers.txt");
		for(Object x: reader)
			Out.print(x + " ");
		Out.println();
	}
}